-- note: in order to change your toasty, please use the in-game editor.
-- nima is the new default because charmy sucks -NC

local toasty = GetToastyCharacter() or "nima";
local init = "";
local on = "";

if toasty ~= "snorlax" then
	-- non-snorlax command
	init = cmd(horizalign,left;vertalign,bottom;x,SCREEN_WIDTH;y,SCREEN_HEIGHT);
	on = cmd(decelerate,0.3;x,468;sleep,1.0;accelerate,0.3;x,SCREEN_WIDTH);
else
	-- snorlax command
	init = cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP-512;zoom,2;draworder,9999);
	on = cmd(sleep,2.5;linear,1.25;addy,2048);
end

local t = Def.ActorFrame{
	LoadActor( toasty .. "/toasty.png" ) ..{
		InitCommand=init;
		OnCommand=on;
	};
	LoadActor( toasty .. "/toasty.ogg" ) ..{
		StartTransitioningCommand=cmd(play);
	};
};

return t;
-- thanks to synikal for the in-game editor idea
-- thanks to spinal shark and aj for some other code from emit and dwi in that order